Skip to content
Platform / Docs / Multi-video merge API

API Reference

Multi-video merge API

POST video-splice-api ID 22

Merge several video clips into one file.

POST https://xiaoapis.com/api/video/splicing

Overview

  • 多视频输入
  • 合成输出
  • 异步任务

Use cases

  • 多段拼接
  • 合集视频
  • 切片后再合成
Conventions
  • Gateway · https://xiaoapis.com
  • Auth · send key (query or JSON body, as this API specifies)
  • Response · JSON. Check the business code and the HTTP status, not only HTTP 200

Authentication

Send the platform API key (query parameter key or JSON field key, as this page specifies). Create one in API key management.

POST https://xiaoapis.com/api/video/splicing
Content-Type: application/json

{
  "key": "YOUR_API_KEY"
}

Request example

https://xiaoapis.com/api/video/splicing?key=你的密钥

Details

请求HEADER:

名称值
Content-Type application/json

请求参数说明:

名称必填类型示例值说明
key是string35kj5jnlj53453kl5j43nj5接口密钥,在控制台->密钥管理查看

video_urls

是array['x1.mp4','xxx.mp4']视频数组

返回参数说明:

名称类型说明
codeint状态码
msgstring状态信息
datastring请求结果数据集
- urlstring 视频地址
exec_timefloat执行耗时
user_ipstring客户端IP

FAQ

如何多视频合成?

按文档提交多个视频地址与合成参数,创建任务后取成片。

顺序如何控制?

按请求数组顺序或文档指定字段控制。

和智能剪辑区别?

本接口侧重拼接合成;智能剪辑提供模板化包装与口播能力。

格式要求?

各片段需公网可访问,格式限制见文档。

失败排查?

检查任一片段是否不可达或编码不兼容。

Full console doc (with the debugger):/doc/22